//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWPatternPopupCtrl : public VWControl
		{
		public:
							VWPatternPopupCtrl(TControlID id);
			virtual			~VWPatternPopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);

		// attributes
		public:
			void			GetSelectedPattern(short& outPatternIndex, RGBColor& outForeColor, RGBColor& outBackColor) const;
			void			SetSelectedPattern(short patternIndex, const RGBColor& foreColor, const RGBColor& backColor);

		};
	}
}